Announcement Announcement Module
Collapse
No announcement yet.
Does STS require Eclipse IDE separately? Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Does STS require Eclipse IDE separately?

    Hi,

    I am new to Spring and it's been a while since I developed/worked on Eclipse.
    Is it necessary to download and install Eclipse IDE before I can install STS?

    I have downloaded STS but the installer won't open so I was thinking if a prerequisite for STS is an already installed Eclipse IDE?

    The query might seem silly but any help would be appreciated.

    Thanks!!

  • #2
    The STS installer is a full Eclipse that has been augmented with Spring-specific tooling. You should not need to install Eclipse separately. Where did you download the installer from? What error are you getting when you try to open it? Make sure that you downloaded the installer for the appropriate platform.

    Comment


    • #3
      Hi Andrew,

      I had downloaded the installer from springsource.org itself and for the appropriate platform. When I tried installing STS earlier the installer would pop up and die down immediately.

      I had a corrupted version of Eclipse earlier which I had not cleaned completely. I removed Eclipse completely and ran the installer. It worked fine. Seems that was the problem.

      Thanks!!

      Comment

      Working...
      X